Skip to content

Download the published file through the caller's authorized upload session.

GET
/api/workspace/files/uploads/{uploadSessionId}/file/download
curl --request GET \
--url https://example.com/api/workspace/files/uploads/example/file/download \
--header 'Authorization: Bearer <token>'
uploadSessionId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Published file bytes using the verified MIME type.

string format: binary

Partial file bytes for an accepted Range request.

Media type*/*
string format: binary

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}